Bug 888270 - VDSM's plugin page for oVirt Node's TUI needs to be migrated to the reworked TUI
Summary: VDSM's plugin page for oVirt Node's TUI needs to be migrated to the reworked TUI
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Douglas Schilling Landgraf
QA Contact: Haim
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-18 12:25 UTC by Fabian Deutsch
Modified: 2014-01-13 00:55 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-17 17:44:23 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Fabian Deutsch 2012-12-18 12:25:10 UTC
Description of problem:
oVirt Node is going to switch to a new TUI which changes the way how the UI is specified.
VDSM's page for ovirt-config-setup needs to be updated to be usable by the new TUI.

An example page which mimics the old TUI page can be found in this commit and can be used as a starting point.
http://gerrit.ovirt.org/gitweb?p=ovirt-node.git;a=blob;f=scripts/tui/src/ovirt/node/setup/engine_page.py;h=4522498068fa4700283554e90fcf593b1d2e6ae9;hb=24205cbc3a9b9161f3096b2b0a94ad1de1ffe1f0

Comment 1 Fabian Deutsch 2013-01-29 19:37:13 UTC
The following patch adds logic to the new engine page (currently hosted in ovirt-node)

http://gerrit.ovirt.org/#/c/11525/

Most functions could be resued, except the central logic (action()), this couldn't directly be wrapped, because it relies on informations from the snack ui (which has been removed). This page should be merged back into vdsm on the long term.

The current implementation has the limitation that it's not interacting with the UI (so the user can currently not directly confirm the fnigerprint), I'm looking for a solution for this, which will hopefully land during the beta phase.

Comment 2 Fabian Deutsch 2013-02-25 17:29:10 UTC
The engine page got migrated and already removed from Nodes codebase again,
this patch should still go into the page:
http://gerrit.ovirt.org/#/c/12075/


Note You need to log in before you can comment on or make changes to this bug.